Blueman - Bluetooth Manager

Dependencies for install seem excessive

Reported by Chris Puttick on 2009-12-02
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Blueman
Undecided
Unassigned

Bug Description

Clean install of Kubuntu 9.10.

sudo apt-get install blueman

61 new packages to install, 63.8MB of archives to download.

Are those dependencies all real? I understand needing the gtk bits because of the GUI choice, but that can't be all GUI related?

Valmantas Palikša (walmis) wrote :

Could you dump the list here? I'll look it through.

Chris Puttick (cputtick) wrote :

Sorry, had to wait for next clean Kubuntu install ;)

  blueman esound-clients esound-common gamin gconf2 gconf2-common gnome-keyring
  gnome-mime-data gvfs gvfs-backends libart-2.0-2 libaudiofile0 libavahi-glib1
  libbonobo2-0 libbonobo2-common libbonoboui2-0 libbonoboui2-common libcdio-cdda0
  libcdio-paranoia0 libcdio7 libesd-alsa0 libgail-common libgail18 libgamin0 libgconf2-4
  libgcr0 libgdu0 libglade2-0 libgnome-keyring0 libgnome2-0 libgnome2-common
  libgnomecanvas2-0 libgnomecanvas2-common libgnomeui-0 libgnomeui-common libgnomevfs2-0
  libgnomevfs2-common libgp11-0 libgvfscommon0 libnotify1 liborbit2 libpam-gnome-keyring
  libpolkit-agent-1-0 libpolkit-gnome0 libproxy0 libsexy2 libsoup-gnome2.4-1
  libsoup2.4-1 libwnck-common libwnck22 libxres1 notification-daemon policykit-1-gnome
  policykit-gnome python-cairo python-gconf python-gnome2 python-gnomecanvas python-gtk2
  python-notify python-pyorbit

juzna (juzna-cz) wrote :

I needed to install libgtk2.0-bin package separately, because it's not in dependencies and without it postinstall doesn't work:

Setting up blueman (0.6-r121-0ubuntu2~ppa1h) ...
 * Reloading system message bus config... [ OK ]
/var/lib/dpkg/info/blueman.postinst: 37: gtk-update-icon-cache: not found
dpkg: error processing blueman (--configure):
 subprocess post-installation script returned error exit status 127
Errors were encountered while processing:
 blueman
E: Sub-process /usr/bin/dpkg returned an error code (1)

Kraymer (mail-kraymer) wrote :

Yes, especially the fact that a lot of gnome stuff is needed for blueman/blueman-applet is unfortunate. Any way to get rid of it easily?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers